<template>
  <div class="dilink-1">
    <div class="card-body">
      <u-card shadow left-text="移动数据">
        <template #right>
          <u-switch v-model="wlan" :value="wlan"/>
        </template>
      </u-card>

      <u-card shadow left-text="无线网络" is-arrow right-text="Test_5G" @onClick="wifiDialog = true" />
      <u-card shadow left-text="个人热点" right-text="已关闭" is-arrow @onClick="hotspotState = true" />
      <u-card shadow left-text="蓝牙" is-arrow right-text="已开启" @onClick="blueDialog = true" />
    </div>

    <img
      src="../../assets/images/setting/Signal.webp"
      alt=""
      class="img-signal"
    />

<!--    无线网络-->
    <MainDialog
      class="wifi-dialog"
      is-close
      :width="1191"
      @close="changeWlanDialog"
      :dialogVisible="wifiDialog"
      @changeVisble="changeWlanDialog"
      title="无线网络"
      >
      <template #right>
        <Select
          :selectedIndex="wifiIndex"
          :options="['关闭', '开启']"
          background="#D4DCE5"
          @changeIndex="changeSelectIndex"
        ></Select>
      </template>
      <template #content>
        <img v-show="wifiIndex === 0" src="../../assets/images/setting/img_2.webp" alt="" />
        <img v-show="wifiIndex === 1" src="../../assets/images/setting/img_1.webp" alt="" />
      </template>
    </MainDialog>

<!--    蓝牙-->
    <MainDialog
        class="wifi-dialog"
        is-close
        :width="1191"
        @close="e => blueDialog = e"
        :dialogVisible="blueDialog"
        @changeVisble="e => blueDialog = e"
        title="蓝牙"
    >
      <template #right>
        <Select
          :selectedIndex="wifiIndex"
          :options="['关闭', '开启']"
          background="#D4DCE5"
          @changeIndex="changeSelectIndex"
        />
      </template>
      <template #content>
        <img v-show="wifiIndex === 0" src="../../assets/images/setting/img_4.webp" alt="" />
        <img v-show="wifiIndex === 1" src="../../assets/images/setting/img_3.webp" alt="" />
      </template>
    </MainDialog>

<!--    热点-->
    <MainDialog
      class="hotspot-dialog"
      is-close
      :width="1191"
      @close="e => hotspotState = e"
      :dialogVisible="hotspotState"
      @changeVisble="e => hotspotState = e"
      title="个人热点"
    >
      <template #right>
        <Select
          :selectedIndex="myhotIndex"
          :options="['关闭', '开启']"
          background="#D4DCE5"
          @changeIndex="e => myhotIndex = e"
        ></Select>
      </template>
      <template #content>
        <img v-show="myhotIndex === 0" class="temp1" src="../../assets/images/setting/hulian/img.webp" alt="" />
        <div v-show="myhotIndex === 1" class="w-full h-full temp" style="background-color: #fff;">
          <img src="../../assets/images/setting/hulian/img_1.webp" alt="" />
        </div>
      </template>
    </MainDialog>
  </div>
</template>

<script>
import MainDialog from "@/components/dialog/MainDialog";
import Select from "@/components/Select.vue";

export default {
  name: "HuLian",
  data() {
    return {
      tingche: false,
      wifiDialog: false,
      blueDialog: false,
      wlan: true,
      wifiIndex: 1,
      hotspotState: false,
      hotspotIndex: 1,
      myhotIndex:0
    };
  },
  components: {
    Select,
    MainDialog,
  },
  methods: {
    changeWlanDialog(data) {
      this.wifiDialog = data;
    },
    changeSelectIndex(index) {
      this.wifiIndex = index;
    },
  },
};
</script>

<style scoped lang="scss">
.hotspot-dialog {
  ::v-deep .right {
    width: 229px;
    height: 70px;
  }
  ::v-deep .dialog-body {
    height: 750px;
    background-color: #E6EDF6;
    padding: 0;

    .temp1 {
      width: 182px;
      height: 187px;
      margin: 0 auto;
    }

    .temp {
      margin-top: 50px;
      padding: 28px 60px 50px 0;
    }
    img {
      width: 100%;
    }
  }
}
.wifi-dialog {
  ::v-deep .right {
    width: 229px;
    height: 70px;
  }
  ::v-deep .dialog-body {
    background: #FFFEFF;
    padding: 0;
  }
  img {
    width: 100%;
  }
}
.dilink-1 {
  display: flex;
  width: 694px;

  .card-body {
    flex-grow: 1;

    .card-container {
      margin-bottom: 15px;
    }
  }

  .right {
    flex-grow: 1;
  }
}

.img-signal {
  width: 782px;
  height: 600px;
  position: absolute;
  right: 90px;
  top: 250px;
}
</style>
